%define desktop_file_utils_version 0.9

Name: rhythmbox
Summary: Music Management Application 
Version: 0.11.6
Release: 1.8%{?dist} 
License: GPL
Group: Applications/Multimedia
Source: http://download.gnome.org/sources/rhythmbox/0.11/%{name}-%{version}.tar.bz2
Source1: http://ftp.gnome.org/pub/GNOME/sources/totem-pl-parser/2.22/totem-pl-parser-2.22.3.tar.bz2
Source2: gnome-common.m4
Source3: rhythmbox-iradio-initial.pls

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= 2.4.0
Requires: libgnomeui >= 2.6.0
Requires: libgpod 
Requires: gnome-themes
Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: libgpod-devel >= 0.4.0
BuildRequires: libgnomeui-devel >= 2.6.0
BuildRequires: nautilus-cd-burner-devel >= 2.15.3
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: gettext, scrollkeeper
BuildRequires: gnome-vfs2-devel >= 2.7.4
BuildRequires: avahi-glib-devel >= 0.6
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: dbus-devel >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: libnotify-devel
BuildRequires: gstreamer-devel
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: libsoup-devel
BuildRequires: hal-devel
BuildRequires: perl-XML-Parser intltool
BuildRequires: autoconf automake libtool gtk-doc
BuildRequires: evolution-data-server-devel

Patch0: totem-pl-parser-glib-reqs.patch
Patch1: rhythmbox-0.11.6-rhel5-backport.patch
#Patch0: rhythmbox-0.11.6-rhel5-backport.patch

%description
Rhythmbox is an integrated music management application based on the powerful
GStreamer media framework. It has a number of features, including an easy to
use music browser, searching and sorting, comprehensive audio format support
through GStreamer, Internet Radio support, playlists and more.

%prep
%setup -q -a 1

pushd totem-pl-parser-2.22.3
%patch0 -p0 -b .reqs
cp %{SOURCE2} .
popd

%patch1 -p1 -b .backport

%build

pushd totem-pl-parser-2.22.3
aclocal -I .
autoconf
automake

%ifarch x86_64
CFLAGS="-fPIC" %configure --disable-shared
%else
%configure --disable-shared
%endif
make
popd

# I hate autotools
cp %{_datadir}/automake-1.9/compile .
aclocal --force -I macros/
autoconf
automake --force-missing --copy

# work around a gstreamer bug
/usr/bin/gst-inspect-0.10 --print-all > /dev/null

export PKG_CONFIG_PATH=totem-pl-parser-2.22.3/

%configure \
	--with-ipod \
	--with-dbus \
	--with-mdns=avahi \
	--disable-scrollkeeper \
	--enable-tag-writing \
	--disable-static

make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}%{_libdir}/bonobo/*.{a,la}
rm -f %{buildroot}%{_libdir}/bonobo/librb-nautilus-context-menu.so
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/*.{a,la}

%find_lang %name

# Default internet radio stations use mp3
rm %{buildroot}%{_libdir}/rhythmbox/plugins/iradio/iradio-initial.pls
cp %{SOURCE3} %{buildroot}%{_libdir}/rhythmbox/plugins/iradio/iradio-initial.pls

# Don't package api docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# Don't package plugins that we can't run
rm -rf %{buildroot}%{_libdir}/rhythmbox/plugins/{fmradio,upnp_coherence,visualizer}

# libtool droppings
rm -f %{buildroot}%{_libdir}/*.la

# Move the icons to the hicolor theme sub-directories that exist in RHEL-5
# https://bugzilla.redhat.com/show_bug.cgi?id=458837
for size in %{buildroot}%{_datadir}/rhythmbox/icons/hicolor/* ; do \
	for context in places status ; do \
		if test -d $size/$context/ ; then
			if ! test -d $size/actions/ ; then \
				mkdir $size/actions/ ; \
			fi ; \
			mv $size/$context/* $size/actions/ ; \
		fi ; \
	done ; \
done
rm -rf %{buildroot}%{_datadir}/rhythmbox/icons/hicolor/*/{places,status}/

# If we're building on a machine with mozilla-devel installed
rm -rf %{_libdir}/mozilla/

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas >/dev/null
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

# https://bugzilla.redhat.com/show_bug.cgi?id=458834
# https://bugzilla.redhat.com/show_bug.cgi?id=458836
chcon -t textrel_shlib_t %{_libdir}/rhythmbox/plugins/{audiocd,generic-player}/*.so

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_libdir}/librhythmbox-core.so*
%{_datadir}/icons/hicolor/*/*/*
%{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_datadir}/rhythmbox/
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/gnome/help/rhythmbox
%{_datadir}/omf/rhythmbox/*
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_libdir}/rhythmbox/plugins
%{_libexecdir}/rhythmbox-metadata

%changelog
* Thu Aug 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.8
- Really fix the mozilla plugin being built...
Related: rhbz #455766

* Thu Aug 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.7
- Fix stupidness in the postun
Related: rhbz #455766

* Wed Aug 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.6
- Really fix the missing icons problem, some contexts used by
  rhythmbox aren't setup by the hicolor theme in RHEL-5, thanks
  to Matthias Clasen for spotting it
- Remove the mozilla plugin if it was built
Related: rhbz #455766

* Wed Aug 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.5
- Hopefully fix missing icons problem
- Fix iPod plugin compilation warning/activation problem
Related: rhbz #455766

* Wed Aug 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.4
- Fix SELinux problems
Related: rhbz #455766

* Wed Aug 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.3
- Remove gst import from the Rhythmbox python bindings, as we don't
  have gstreamer-python available
- Don't try to grab the mmkeys using dbus, gnome-settings-daemon
  doesn't support it in RHEL5
- Fix multiple registration of the TOTEM_PL_PARSER type
Related: rhbz #455766

* Mon Aug 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.2
- Remove gstreamer-python dependency, shouldn't be needed, and
  doesn't exist in RHEL 5.2.z
Related: rhbz #455766

* Thu Jul 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1.1
- Update for version coherency
Related: rhbz #455766

* Wed Jul 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-1
- Update for license changes

* Tue Nov 28 2006 Alexander Larsson <alexl@redhat.com> - 0.9.5-8.el5
- Disable any handling of mimetypes since we don't do command line args (#217450)
- Require libgpod 0.4.0 update (#216654)

* Mon Nov 20 2006 Alexander Larsson <alexl@redhat.com> - 0.9.5-7.el5
- Fix file monitoring
- Remove fix-keybinding patch in favour of control-center patch
- Resolves: #216068

* Mon Oct 2 2006 Ray Strode <rstrode@redhat.com> - 0.9.5-6.fc6
- first unfinished, buggy crack at fixing keybindings

* Mon Sep 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.5-5
- Enable tag editing

* Wed Sep 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-4
- Fix a crash when a radio station is missing  (#206170)

* Thu Sep  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-3
- Support transparent panels (#205584)

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.5-2
- Add BR for dbus-glib-devel 
- Add patch to fix deprecated dbus function

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.5-1.1
- rebuild

* Fri Jul  7 2006 Bill Nottingham <notting@redhat.com>
- don't require eel2

* Mon Jun 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Wed Jun 14 2006 Bill Nottingham <notting@redhat.com> - 0.9.4.1-8
- apply patch from CVS to port to nautilus-cd-burner 2.15.3

* Wed Jun 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-7
- Rebuild

* Fri May 26 2006 Jeremy Katz <katzj@redhat.com> - 0.9.4.1-6
- try to fix building on s390{,x}

* Wed May 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.4.1-5
- Patch to build with latest libnotify

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-4
- Rebuild

* Sun May 21 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-3
- Add missing BuildRequires (#129145)

* Mon Apr 25 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-2
- Update to 0.9.4.1

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4-2
- Update to 0.9.4
- Drop upstreamed patches

* Wed Mar 08 2006 Ray Strode <rstrode@redhat.com> - 0.9.3.1-3
- fix icon on notification bubbles (bug 183720)
- patch from CVS to escape bubble markup, found by 
  Bill Nottingham

* Fri Mar 03 2006 Ray Strode <rstrode@redhat.com> - 0.9.3.1-2
- add patch from James "Doc" Livingston to stop a hang
  for new users (bug 183883)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Christopher Aillon <caillon@redhat.com> 0.9.3.1-1
- Update to 0.9.3.1
- Use gstreamer (0.10)

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-2
- Remove hack for 173869, as its no longer needed.

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-1
- 0.9.3

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060201-1
- Newer CVS snapshot

* Sun Jan 22 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060123-1
- Update to latest CVS
- Add hack to workaround bug #173869

* Thu Jan 19 2006 Christopher Aillon <caillon@redhat.com> 0.9.2-8
- Rebuild, now that gstreamer08-plugins has been fixed

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 0.9.2-7
- bonobo multilib issue (bug 156982)

* Wed Jan 04 2006 John (J5) Palmieri <johnp@redhat.com> 0.9.2-5
- rebuild with ipod support

* Tue Jan 03 2006 Jesse Keating <jkeating@redhat.com> 0.9.2-4
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Matthias Clasen <mclasen@redhat.com>
- rebuild

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com>
- rebuild for new dbus

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.2

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.1

* Fri Sep 02 2005 Colin Walters <walters@redhat.com> 
- Add configure flags --with-bonobo --with-dbus
- BR nautilus-cd-burner-devel
- New upstream CVS snapshot for testing
- Drop IDL file and ui .xml
- Add dbus service file
- Drop upstreamed rhythmbox-bluecurve.tar.gz
- Drop upstreamed rhythmbox-0.8.8-cell-renderer.patch

* Fri Jun 13 2005 Colin Walters <walters@redhat.com> - 0.8.8-3
- Add Bluecurve-ized icons from Jeff Schroeder (157716)
- Add rhythmbox-0.8.8-cell-renderer.patch to remove use of custom
  cell renderer for playback icon (no longer necessary) and
  changes the rating renderer to work with non-b&w icons

* Mon Mar 14 2005 Colin Walters <walters@redhat.com> - 0.8.8-2
- Rebuild for GCC4

* Tue Oct 05 2004 Colin Walters <walters@redhat.com> - 0.8.8-1
- New upstream version
- Remove librb-nautilus-context-menu.so, killed upstream

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0.8.7-2
- PreReq desktop-file-utils >= 0.9

* Sat Sep 29 2004 Colin Walters <walters@redhat.com> - 0.8.7-1
- New upstream version

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-2
- Fix postun to use correct syntax, thanks Nils Philippsen

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-1
- New upstream version
- Call update-desktop-database in post and postun

* Thu Jun 24 2004 Colin Walters <walters@redhat.com> - 0.8.5-1
- New upstream version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> - 0.8.4-1
- New upstream version
- Remove backported patches
- Gratuitiously bump various BuildRequires versions

* Mon May 10 2004 Colin Walters <walters@redhat.com> - 0.8.3-4
- Remove code to unregister GConf schema for now (Closes: #122532)

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-3
- Apply tiny patch from 0.8 arch to fix GConf key used
  for initial sorting

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-2
- Apply patch from 0.8 arch tree to fix a number of memleaks

* Thu May 02 2004 Colin Walters <walters@redhat.com> - 0.8.3-1
- Update to 0.8.3: fixes showstopper bug with internet radio

* Thu Apr 30 2004 Colin Walters <walters@redhat.com> - 0.8.2-1
- Update to 0.8.2
- Fix Source url
- Add smp_mflags
- Bump BuildRequires on gstreamer to 0.8.1

* Tue Apr 23 2004 Colin Walters <walters@redhat.com> - 0.8.1-2
- Uninstall GConf schemas on removal

* Tue Apr 20 2004 Colin Walters <walters@redhat.com> - 0.8.1-1
- Update to 0.8.1

* Fri Apr 16 2004 Colin Walters <walters@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Fri Apr 02 2004 Colin Walters <walters@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-2
- Remove BuildRequires on autoconf and libvorbis-devel

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-1
- New major version - I know we are past major version slush, but
  this should have been done two weeks ago along with the GNOME 2.6
  upload.  As upstream author as well, I believe this version is
  good enough for FC2.
- Remove --disable-mp3
- Remove id3, flac variables
- Remove GStreamer major version patch
- Fix typo in description

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> - 0.6.8-2
- rebuild for new gstreamer

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 0.6.8-1
- update to 0.6.8

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar  1 2004 Alexander Larsson <alexl@redhat.com> 0.6.7-1
- update to 0.6.7

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 12 2004 Colin Walters <walters@verbum.org> 0.6.4-1
- New upstream version
- Don't re-run the autotools; upstream incorporates newer versions.
* Tue Oct 28 2003 Jonathan Blandford <jrb@redhat.com> 0.5.4-1
- new version
- remove smp_flags

* Fri Oct 24 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-5
- remove the initial iradio channels as they all are mp3 based.

* Wed Oct  8 2003 Matthias Saou <matthias@rpmforge.net> 0.5.3-3
- Fix category from Development/Libraries to Applications/Multimedia.
- Use bz2 instead of gz as ftp.gnome.org has both, 300k saved in the src.rpm.
- Fix SCHEMES vs. SCHEMAS in the post scriplet.
- Added gstreamer-plugins-devel, libvorbis-devel, scrollkeeper and gettext deps.
- Removed unnecessary date expansion define.
- Updated description, including mp3 reference removal.
- Added libid3tag and flac optional support for convenient rebuild.
- Removed obsolete omf.make and xmldocs.make (included ones are the same now).

* Mon Sep 22 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-1
- new version
- use %{_sysconfdir} instead of /etc

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- gave up on other archs for the Beta
- new version
- remove werror and add missing files

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- update to newer cvs snap

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- update to cvs snap

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- use %%(lang)

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- fix post to actually install the schema

* Sat Jun 22 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added gconf file
- Added i18n directory

* Sat Jun 15 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Updated for new rewrite of rhythmbox, thanks to Jeroen

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
